List pools
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/phone-pools \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/phone-pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/phone-pools';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": "ppl_01K9V2C4E6G8J0M2P4R6T8W0Y2",
"name": "Outreach",
"purpose": "outreach",
"max_per_hour": 60,
"max_per_day": 400,
"sticky_retries": true,
"auto_rest": true,
"min_healthy": 2,
"default_for_campaigns": false,
"version": 1,
"created_at": "2026-10-15T06:40:12.118204Z",
"updated_at": "2026-10-15T06:40:12.118204Z",
"number_ids": [
"phn_01K9Q3A7C2E4G6J8M0P2R4T6V8",
"phn_01K9R1B3D5F7H9K2M4P6R8T0W2"
],
"object": "phone_pool",
"numbers": 2,
"healthy": 2,
"resting": 0,
"answer_rate_7d": 0.6412,
"used_by": [
{
"campaign_id": "cmp_01K9W1A3C5E7G9J1M3P5R7T9V1",
"name": "Diwali order confirmation"
}
]
}
],
"has_more": false,
"next_cursor": null
}Phone pools
List pools
Every pool with how it is doing: numbers (its size), healthy (can call now), resting (resting or cooling), the last seven days’ answer_rate_7d, and used_by, the campaigns and agents that call from it.
GET
/
v2
/
phone-pools
List pools
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/phone-pools \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/phone-pools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/phone-pools';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": "ppl_01K9V2C4E6G8J0M2P4R6T8W0Y2",
"name": "Outreach",
"purpose": "outreach",
"max_per_hour": 60,
"max_per_day": 400,
"sticky_retries": true,
"auto_rest": true,
"min_healthy": 2,
"default_for_campaigns": false,
"version": 1,
"created_at": "2026-10-15T06:40:12.118204Z",
"updated_at": "2026-10-15T06:40:12.118204Z",
"number_ids": [
"phn_01K9Q3A7C2E4G6J8M0P2R4T6V8",
"phn_01K9R1B3D5F7H9K2M4P6R8T0W2"
],
"object": "phone_pool",
"numbers": 2,
"healthy": 2,
"resting": 0,
"answer_rate_7d": 0.6412,
"used_by": [
{
"campaign_id": "cmp_01K9W1A3C5E7G9J1M3P5R7T9V1",
"name": "Diwali order confirmation"
}
]
}
],
"has_more": false,
"next_cursor": null
}⌘I